Cliquify Developer
  1. Overview
  • Overview
    • Get started
  • Authentication
    • Token lifecycle
    • OAuth scopes
    • Get an access token
      POST
    • Introspect a token
      POST
    • Revoke a token
      POST
  • API Reference
    • Overview
    • Templates
      • Tags
        • List brand tags
      • List templates
    • Assets
      • Folders
        • List folder
      • List assets
      • List asset tags
    • Brand Kit
      • List brand kit
      • List brand kit logos
      • List brand kit colors
    • Troubleshoot
      • Errors and troubleshooting
  1. Overview

Get started

The Cliquify API gives you programmatic access to your organization's creative resources.
It is a RESTful JSON API. Each resource has its own section in this documentation where you can learn exactly what operations you can perform.
Asset Tags are image labels used to categorize brand assets.
Template Tags are categories used to organize and discover templates.

Authentication#

Authentication uses OAuth 2.0 client credentials. Every API call must include a Bearer token in the request header.
Find your Client ID and Client Secret in the developer portal under the OAuth client settings.
The required header in each request is:
Authorization: Bearer {ACCESS_TOKEN}
Each response will only include resources accessible to the company linked to your OAuth client.

OAuth scopes#

Protected resource routes require all of the following scopes, which are requested automatically when you use the token endpoints See OAuth scopes

Making requests#

All API requests are made to:
https://oauth.cliquify.me + resource endpoint
For example, to list templates, make a GET request to https://oauth.cliquify.me/api/templates.

Quick start#

Step 1: Create an OAuth client#

Create an OAuth client in the developer portal and copy the generated Client ID and Client Secret.

Step 2: Request an access token#

Send your credentials to the token endpoint:
POST /oauth/access-token
Success response:
{
  "success": true,
  "token": {
    "token_type": "Bearer",
    "expires_in": 31536000,
    "access_token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9..."
  }
}

Step 3: Call a protected endpoint#

Step 4: Manage your token#

To verify whether a token is still active:
POST /oauth/introspect
To invalidate a token before it expires:
POST /oauth/revoke

Common errors#

CodeMeaning
401 UnauthorizedMissing, invalid, or expired token
403 ForbiddenToken does not include required scopes; or enterprise account is inactive
404 Not FoundCompany linked to this client could not be found
422 Unprocessable EntityInvalid or missing request body (e.g. token required)
429 Too Many RequestsRate limit exceeded
See Errors for details.
Modified at 2026-04-09 15:28:05
Next
Token lifecycle
Built with